Decide MCP Tool Confirmation
curl --request POST \
--url http://127.0.0.1:3333/v3/sessions/mcp-confirmations/{requestId}/decision \
--header 'Content-Type: application/json' \
--data '
{
"token": "<string>",
"argumentsHash": "<string>"
}
'import requests
url = "http://127.0.0.1:3333/v3/sessions/mcp-confirmations/{requestId}/decision"
payload = {
"token": "<string>",
"argumentsHash": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({token: '<string>', argumentsHash: '<string>'})
};
fetch('http://127.0.0.1:3333/v3/sessions/mcp-confirmations/{requestId}/decision', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"status": "rejected",
"requestId": "<string>",
"toolName": "<string>"
}{
"message": "<string>",
"code": "<string>"
}{
"message": "<string>",
"code": "<string>"
}{
"message": "<string>",
"code": "<string>"
}{
"message": "<string>",
"code": "<string>"
}{
"message": "<string>",
"code": "<string>"
}{
"message": "<string>",
"code": "<string>"
}Additional Endpoints
Decide MCP Tool Confirmation
Approve or reject one pending MCP tool execution using the bound Web session capability.
POST
/
v3
/
sessions
/
mcp-confirmations
/
{requestId}
/
decision
Decide MCP Tool Confirmation
curl --request POST \
--url http://127.0.0.1:3333/v3/sessions/mcp-confirmations/{requestId}/decision \
--header 'Content-Type: application/json' \
--data '
{
"token": "<string>",
"argumentsHash": "<string>"
}
'import requests
url = "http://127.0.0.1:3333/v3/sessions/mcp-confirmations/{requestId}/decision"
payload = {
"token": "<string>",
"argumentsHash": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({token: '<string>', argumentsHash: '<string>'})
};
fetch('http://127.0.0.1:3333/v3/sessions/mcp-confirmations/{requestId}/decision', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"status": "rejected",
"requestId": "<string>",
"toolName": "<string>"
}{
"message": "<string>",
"code": "<string>"
}{
"message": "<string>",
"code": "<string>"
}{
"message": "<string>",
"code": "<string>"
}{
"message": "<string>",
"code": "<string>"
}{
"message": "<string>",
"code": "<string>"
}{
"message": "<string>",
"code": "<string>"
}Path Parameters
Required string length:
1 - 128Body
application/json